package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 记录信息对象 record_info
 * 
 * @author ruoyi
 * @date 2023-02-07
 */
public class RecordInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 发件人id */
    private String senderId;

    /** 发件人姓名 */
    @Excel(name = "发件人姓名")
    private String senderName;

    /** 收件人id */
    private String addresseeId;

    /** 收件人姓名 */
    @Excel(name = "收件人姓名")
    private String addresseeName;

    /** 是否已读，0: 未读 1：已读 */
    @Excel(name = "是否已读，0: 未读 1：已读")
    private String isRead;

    /** 消息类型 1：转换部门通知 */
    @Excel(name = "消息类型 1：转换部门通知")
    private String infoType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSenderId(String senderId) 
    {
        this.senderId = senderId;
    }

    public String getSenderId() 
    {
        return senderId;
    }
    public void setSenderName(String senderName) 
    {
        this.senderName = senderName;
    }

    public String getSenderName() 
    {
        return senderName;
    }
    public void setAddresseeId(String addresseeId) 
    {
        this.addresseeId = addresseeId;
    }

    public String getAddresseeId() 
    {
        return addresseeId;
    }
    public void setAddresseeName(String addresseeName) 
    {
        this.addresseeName = addresseeName;
    }

    public String getAddresseeName() 
    {
        return addresseeName;
    }
    public void setIsRead(String isRead) 
    {
        this.isRead = isRead;
    }

    public String getIsRead() 
    {
        return isRead;
    }
    public void setInfoType(String infoType) 
    {
        this.infoType = infoType;
    }

    public String getInfoType() 
    {
        return infoType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("senderId", getSenderId())
            .append("senderName", getSenderName())
            .append("addresseeId", getAddresseeId())
            .append("addresseeName", getAddresseeName())
            .append("isRead", getIsRead())
            .append("infoType", getInfoType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
